Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363845 - does not work with wayland
Summary: does not work with wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shutter
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 17:35 UTC by Chris Murphy
Modified: 2017-08-08 16:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:12:25 UTC


Attachments (Terms of Use)
screenshot sample (deleted)
2016-08-03 17:35 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2016-08-03 17:35:28 UTC
Created attachment 1187150 [details]
screenshot sample

Description of problem:

When I login GNOME on Wayland and take screenshots with Shutter, the resulting files are for something other than what I selected.


Version-Release number of selected component (if applicable):
shutter-0.93.1-2.fc24.noarch


How reproducible:
Always


Steps to Reproduce:
1. Take a screenshot.
2.
3.

Actual results:

See attached

Expected results:

Image file should contain selected screen contents.


Additional info:

Problem doesn't happen when logging in GNOME on X.

Comment 1 tristan su 2016-11-21 03:33:14 UTC
Also having this issue. 
Would there be a fix in Fedora 25 final?

Comment 2 tristan su 2016-11-21 03:34:38 UTC
This looks like a dup of https://bugzilla.redhat.com/show_bug.cgi?id=1299293

Comment 3 Fedora End Of Life 2017-07-25 22:14:22 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:12:25 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.